@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap');

:root {
  --sz: 2vmin;
  /* size */
  --on: #a6f1fb;
  /* color on */
  --of: #8b8b8b;
  /* color off */
  --tr: all 0.25s ease 0s;
}


.my-collection-switcher {
  width: 100%;
  display: -webkit-box; /* Safari */
  display: -webkit-flex; /* Safari */
  display: -ms-flexbox; /* IE */
  display: flex;
  -webkit-align-content: center; /* Safari */
  -ms-flex-line-pack: center; /* IE */
  align-content: center;
  -webkit-justify-content: center; /* Safari */
  -ms-flex-pack: center; /* IE */
  justify-content: center;
  -webkit-align-items: center; /* Safari */
  -ms-flex-align: center; /* IE */
  align-items: center;
  margin: 20px 10px 20px 10px;
  -webkit-flex-direction: column; /* Safari */
  -ms-flex-direction: column; /* IE */
  flex-direction: column;
}

.my-collection-switcher .content {
  position: relative;
  width: -webkit-calc(var(--sz) * 4); /* Safari */
  width: -moz-calc(var(--sz) * 4); /* Firefox */
  width: calc(var(--sz) * 4);
  height: -webkit-calc(var(--sz) * 2); /* Safari */
  height: -moz-calc(var(--sz) * 2); /* Firefox */
  height: calc(var(--sz) * 2);
  display: -webkit-box; /* Safari */
  display: -webkit-flex; /* Safari */
  display: -ms-flexbox; /* IE */
  display: flex;
  -webkit-align-items: center; /* Safari */
  -ms-flex-align: center; /* IE */
  align-items: center;
  -webkit-justify-content: center; /* Safari */
  -ms-flex-pack: center; /* IE */
  justify-content: center;
}

.my-collection-switcher input {
  display: none;
}

.my-collection-switcher label.mycursoronoff-label {
  cursor: pointer;
  position: absolute;
  width: -webkit-calc(var(--sz) * 4); /* Safari */
  width: -moz-calc(var(--sz) * 4); /* Firefox */
  width: calc(var(--sz) * 4);
  height: -webkit-calc(var(--sz) * 2); /* Safari */
  height: -moz-calc(var(--sz) * 2); /* Firefox */
  height: calc(var(--sz) * 2);
  background: -webkit-linear-gradient(180deg, #888, #fff); /* Safari */
  background: -moz-linear-gradient(180deg, #888, #fff); /* Firefox */
  background: linear-gradient(180deg, #888, #fff);
  -webkit-border-radius: var(--sz); /* Safari */
  -moz-border-radius: var(--sz); /* Firefox */
  border-radius: var(--sz);
  padding: -webkit-calc(var(--sz) / 5); /* Safari */
  padding: -moz-calc(var(--sz) / 5); /* Firefox */
  padding: calc(var(--sz) / 5);
  -webkit-box-shadow: 0 0 calc(var(--sz) / 50) calc(var(--sz) / 50) #0002; /* Safari */
  -moz-box-shadow: 0 0 calc(var(--sz) / 50) calc(var(--sz) / 50) #0002; /* Firefox */
  box-shadow: 0 0 calc(var(--sz) / 50) calc(var(--sz) / 50) #0002;
}

.my-collection-switcher .mycursoronoff:checked + label.mycursoronoff-label {
  cursor: pointer;
  -webkit-box-shadow: 0 calc(var(--sz) / 50) calc(var(--sz) / 5) #fff9, 0 0 calc(var(--sz) / 50) calc(var(--sz) / 50) #0002; /* Safari */
  -moz-box-shadow: 0 calc(var(--sz) / 50) calc(var(--sz) / 5) #fff9, 0 0 calc(var(--sz) / 50) calc(var(--sz) / 50) #0002; /* Firefox */
  box-shadow: 0 calc(var(--sz) / 50) calc(var(--sz) / 5) #fff9, 0 0 calc(var(--sz) / 50) calc(var(--sz) / 50) #0002;
}

.my-collection-switcher label.mycursoronoff-label:after {
  content: "";
  position: absolute;
  width: -webkit-calc(100% - calc(calc(var(--sz) / 5) * 12)); /* Safari */
  width: -moz-calc(100% - calc(calc(var(--sz) / 5) * 12)); /* Firefox */
  width: calc(100% - calc(calc(var(--sz) / 5) * 12));
  height: -webkit-calc(100% - calc(calc(var(--sz) / 5) * 2)); /* Safari */
  height: -moz-calc(100% - calc(calc(var(--sz) / 5) * 2)); /* Firefox */
  height: calc(100% - calc(calc(var(--sz) / 5) * 2));
  -webkit-box-shadow: 0 0 calc(var(--sz) / 2) calc(var(--sz) / 10) var(--on), 0 0 calc(var(--sz) / 2) calc(var(--sz) / 10) #fff; /* Safari */
  -moz-box-shadow: 0 0 calc(var(--sz) / 2) calc(var(--sz) / 10) var(--on), 0 0 calc(var(--sz) / 2) calc(var(--sz) / 10) #fff; /* Firefox */
  box-shadow: 0 0 calc(var(--sz) / 2) calc(var(--sz) / 10) var(--on), 0 0 calc(var(--sz) / 2) calc(var(--sz) / 10) #fff;
  -webkit-border-radius: var(--sz); /* Safari */
  -moz-border-radius: var(--sz); /* Firefox */
  border-radius: var(--sz);
  z-index: 0;
  opacity: 0;
  -webkit-transition: var(--tr); /* Safari */
  -moz-transition: var(--tr); /* Firefox */
  transition: var(--tr);
}

.my-collection-switcher .mycursoronoff:checked + label.mycursoronoff-label:after {
  opacity: 1;
  width: -webkit-calc(100% - calc(calc(var(--sz) / 5) * 4)); /* Safari */
  width: -moz-calc(100% - calc(calc(var(--sz) / 5) * 4)); /* Firefox */
  width: calc(100% - calc(calc(var(--sz) / 5) * 4));
}

.my-collection-switcher .mycursoronoff:checked + label.mycursoronoff-label .track:before {
  left: 0%;
}

.my-collection-switcher .mycursoronoff:checked + label.mycursoronoff-label .thumb {
  left: -webkit-calc(calc(100% - calc(calc(var(--sz) * 2) - calc(var(--sz) / 3))) - calc(calc(var(--sz) / 10) + calc(var(--sz) / 15))); /* Safari */
  left: -moz-calc(calc(100% - calc(calc(var(--sz) * 2) - calc(var(--sz) / 3))) - calc(calc(var(--sz) / 10) + calc(var(--sz) / 15))); /* Firefox */
  left: calc(calc(100% - calc(calc(var(--sz) * 2) - calc(var(--sz) / 3))) - calc(calc(var(--sz) / 10) + calc(var(--sz) / 15)));
  color: var(--on);
  background: -webkit-radial-gradient(circle at 7% 50%, #fff calc(var(--sz) / 50), #fff0 calc(var(--sz) / 2)), -webkit-radial-gradient(circle at 0 50%, var(--on) 10%, #fff0 60%), -webkit-linear-gradient(180deg, #fff, #afafaf); /* Safari */
  background: -moz-radial-gradient(circle at 7% 50%, #fff calc(var(--sz) / 50), #fff0 calc(var(--sz) / 2)), -moz-radial-gradient(circle at 0 50%, var(--on) 10%, #fff0 60%), -moz-linear-gradient(180deg, #fff, #afafaf); /* Firefox */
  background: radial-gradient(circle at 7% 50%, #fff calc(var(--sz) / 50), #fff0 calc(var(--sz) / 2)), radial-gradient(circle at 0 50%, var(--on) 10%, #fff0 60%), linear-gradient(180deg, #fff, #afafaf);
  text-shadow:
    0 0 calc(var(--sz) / 10) var(--on), 0 0 calc(var(--sz) / 5) #fff,
    calc(var(--sz) / -8000) calc(var(--sz) / -150) calc(var(--sz) / 50) #0008,
    calc(var(--sz) / 150) calc(var(--sz) / 100) calc(var(--sz) / 50) #fff;
}

.my-collection-switcher .track {
  position: absolute;
  width: -webkit-calc(calc(var(--sz) * 4) - calc(var(--sz) / 2.5)); /* Safari */
  width: -moz-calc(calc(var(--sz) * 4) - calc(var(--sz) / 2.5)); /* Firefox */
  width: calc(calc(var(--sz) * 4) - calc(var(--sz) / 2.5));
  height: -webkit-calc(calc(var(--sz) * 2) - calc(var(--sz) / 2.5)); /* Safari */
  height: -moz-calc(calc(var(--sz) * 2) - calc(var(--sz) / 2.5)); /* Firefox */
  height: calc(calc(var(--sz) * 2) - calc(var(--sz) / 2.5));
  -webkit-border-radius: var(--sz); /* Safari */
  -moz-border-radius: var(--sz); /* Firefox */
  border-radius: var(--sz);
  overflow: hidden;
}

.my-collection-switcher .track:before {
  content: "";
  position: absolute;
  width: -webkit-calc(200% - calc(calc(var(--sz) * 2) - calc(var(--sz) / 3))); /* Safari */
  width: -moz-calc(200% - calc(calc(var(--sz) *  milky2) - calc(var(--sz) / 3))); /* Firefox */
  width: calc(200% - calc(calc(var(--sz) * 2) - calc(var(--sz) / 3)));
  height: 100%;
  left: -50%;
  -webkit-transition: var(--tr); /* Safari */
  -moz-transition: var(--tr); /* Firefox */
  transition: var(--tr);
  background: -webkit-linear-gradient(90deg, var(--on) 50%, var(--of) 50%); /* Safari */
  background: -moz-linear-gradient(90deg, var(--on) 50%, var(--of) 50%); /* Firefox */
  background: linear-gradient(90deg, var(--on) 50%, var(--of) 50%);
}

.my-collection-switcher .track:after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-border-radius: var(--sz); /* Safari */
  -moz-border-radius: var(--sz); /* Firefox */
  border-radius: var(--sz);
  -webkit-box-shadow: 0 calc(var(--sz) / -10) calc(var(--sz) / 10) 0 #0005 inset, 0 calc(var(--sz) / 10) calc(var(--sz) / 10) 0 #0005 inset; /* Safari */
  -moz-box-shadow: 0 calc(var(--sz) / -10) calc(var(--sz) / 10) 0 #0005 inset, 0 calc(var(--sz) / 10) calc(var(--sz) / 10) 0 #0005 inset; /* Firefox */
  box-shadow: 0 calc(var(--sz) / -10) calc(var(--sz) / 10) 0 #0005 inset, 0 calc(var(--sz) / 10) calc(var(--sz) / 10) 0 #0005 inset;
}

.my-collection-switcher .thumb {
  position: absolute;
  width: -webkit-calc(calc(var(--sz) * 2) - calc(var(--sz) / 3)); /* Safari */
  width: -moz-calc(calc(var(--sz) * 2) - calc(var(--sz) / 3)); /* Firefox */
  width: calc(calc(var(--sz) * 2) - calc(var(--sz) / 3));
  height: -webkit-calc(calc(var(--sz) * 2) - calc(var(--sz) / 3)); /* Safari */
  height: -moz-calc(calc(var(--sz) * 2) - calc(var(--sz) / 3)); /* Firefox */
  height: calc(calc(var(--sz) * 2) - calc(var(--sz) / 3));
  top: -webkit-calc(calc(var(--sz) / 10) + calc(var(--sz) / 15)); /* Safari */
  top: -moz-calc(calc(var(--sz) / 10) + calc(var(--sz) / 15)); /* Firefox */
  top: calc(calc(var(--sz) / 10) + calc(var(--sz) / 15));
  left: -webkit-calc(calc(var(--sz) / 10) + calc(var(--sz) / 15)); /* Safari */
  left: -moz-calc(calc(var(--sz) / 10) + calc(var(--sz) / 15)); /* Firefox */
  left: calc(calc(var(--sz) / 10) + calc(var(--sz) / 15));
  background: -webkit-linear-gradient(180deg, #fff, #afafaf); /* Safari */
  background: -moz-linear-gradient(180deg, #fff, #afafaf); /* Firefox */
  background: linear-gradient(180deg, #fff, #afafaf);
  -webkit-border-radius: var(--sz); /* Safari */
  -moz-border-radius: var(--sz); /* Firefox */
  border-radius: var(--sz);
  -webkit-box-shadow: 0 0 0 calc(var(--sz) / 50) #0002, 0 calc(var(--sz) / 10) calc(var(--sz) / 10) 0 #0008; /* Safari */
  -moz-box-shadow: 0 0 0 calc(var(--sz) / 50) #0002, 0 calc(var(--sz) / 10) calc(var(--sz) / 10) 0 #0008; /* Firefox */
  box-shadow: 0 0 0 calc(var(--sz) / 50) #0002, 0 calc(var(--sz) / 10) calc(var(--sz) / 10) 0 #0008;
  cursor: pointer;
  font-size: -webkit-calc(var(--sz) / 2); /* Safari */
  font-size: -moz-calc(var(--sz) / 2); /* Firefox */
  font-size: calc(var(--sz) / 2);
  display: -webkit-box; /* Safari */
  display: -webkit-flex; /* Safari */
  display: -ms-flexbox; /* IE */
  display: flex;
  -webkit-align-items: center; /* Safari */
  -ms-flex-align: center; /* IE */
  align-items: center;
  -webkit-justify-content: center; /* Safari */
  -ms-flex-pack: center; /* IE */
  justify-content: center;
  text-indent: -webkit-calc(var(--sz) * -0.025); /* Safari */
  text-indent: -moz-calc(var(--sz) * -0.025); /* Firefox */
  text-indent: calc(var(--sz) * -0.025);
  text-shadow:
    calc(var(--sz) / -8000) calc(var(--sz) / -150) calc(var(--sz) / 50) #0008,
    calc(var(--sz) / 150) calc(var(--sz) / 100) calc(var(--sz) / 50) #fff;
  color: #7d7c7c;
  z-index: 1;
}

.my-collection-switcher .thumb:before {
  content: "";
  display: block;
  width: 70%;
  height: 70%;
  background: -webkit-linear-gradient(180deg, #0008, #ccc, #fff); /* Safari */
  background: -moz-linear-gradient(180deg, #0008, #ccc, #fff); /* Firefox */
  background: linear-gradient(180deg, #0008, #ccc, #fff);
  position: absolute;
  z-index: -1;
  -webkit-border-radius: var(--sz); /* Safari */
  -moz-border-radius: var(--sz); /* Firefox */
  border-radius: var(--sz);
  border: -webkit-calc(var(--sz) / 50) solid #ddd; /* Safari */
  border: -moz-calc(var(--sz) / 50) solid #ddd; /* Firefox */
  border: calc(var(--sz) / 50) solid #ddd;
}

.my-collection-switcher .txt:before,
.my-collection-switcher .txt:after {
  content: "";
  position: absolute;
  left: -webkit-calc(var(--sz) / 1.6); /* Safari */
  left: -moz-calc(var(--sz) / 1.6); /* Firefox */
  left: calc(var(--sz) / 1.6);
  -webkit-transform: translate(-2%, -52%); /* Safari */
  -moz-transform: translate(-2%, -52%); /* Firefox */
  -ms-transform: translate(-2%, -52%); /* IE */
  transform: translate(-2%, -52%);
  top: 51%;
  content: "ON";
  -webkit-transition: var(--tr); /* Safari */
  -moz-transition: var(--tr); /* Firefox */
  transition: var(--tr);
  font-size: -webkit-calc(var(--sz) / 1.5); /* Safari */
  font-size: -moz-calc(var(--sz) / 1.5); /* Firefox */
  font-size: calc(var(--sz) / 1.5);
  color: #000;
  opacity: 0.4;
  /* text-shadow: 0px -1px 1px #000, 0px 1px 2px #fff; */
}

.my-collection-switcher .txt:after {
  content: "OFF";
  left: -webkit-calc(100% - calc(var(--sz) / 0.625)); /* Safari */
  left: -moz-calc(100% - calc(var(--sz) / 0.625)); /* Firefox */
  left: calc(100% - calc(var(--sz) / 0.625));
}

/* Initial animations */
@-webkit-keyframes move-thumb { /* Safari */
  0%, 20%, 80%, 100% {
    left: -webkit-calc(calc(var(--sz) / 10) + calc(var(--sz) / 15));
    color: #7d7c7c;
    background: -webkit-linear-gradient(180deg, #fff, #afafaf);
    text-shadow:
      calc(var(--sz) / -8000) calc(var(--sz) / -150) calc(var(--sz) / 50) #0008,
      calc(var(--sz) / 150) calc(var(--sz) / 100) calc(var(--sz) / 50) #fff;
  }
  30%, 70% {
    left: -webkit-calc(calc(100% - calc(calc(var(--sz) * 2) - calc(var(--sz) / 3))) - calc(calc(var(--sz) / 10) + calc(var(--sz) / 15)));
    color: var(--on);
    background:
      -webkit-radial-gradient(circle at 7% 50%, #fff calc(var(--sz) / 50), #fff0 calc(var(--sz) / 2)),
      -webkit-radial-gradient(circle at 0 50%, var(--on) 10%, #fff0 60%),
      -webkit-linear-gradient(180deg, #fff, #afafaf);
    text-shadow:
      0 0 calc(var(--sz) / 10) var(--on), 0 0 calc(var(--sz) / 5) #fff,
      calc(var(--sz) / -8000) calc(var(--sz) / -150) calc(var(--sz) / 50) #0008,
      calc(var(--sz) / 150) calc(var(--sz) / 100) calc(var(--sz) / 50) #fff;
  }
}
@-moz-keyframes move-thumb { /* Firefox */
  0%, 20%, 80%, 100% {
    left: -moz-calc(calc(var(--sz) / 10) + calc(var(--sz) / 15));
    color: #7d7c7c;
    background: -moz-linear-gradient(180deg, #fff, #afafaf);
    text-shadow:
      calc(var(--sz) / -8000) calc(var(--sz) / -150) calc(var(--sz) / 50) #0008,
      calc(var(--sz) / 150) calc(var(--sz) / 100) calc(var(--sz) / 50) #fff;
  }
  30%, 70% {
    left: -moz-calc(calc(100% - calc(calc(var(--sz) * 2) - calc(var(--sz) / 3))) - calc(calc(var(--sz) / 10) + calc(var(--sz) / 15)));
    color: var(--on);
    background:
      -moz-radial-gradient(circle at 7% 50%, #fff calc(var(--sz) / 50), #fff0 calc(var(--sz) / 2)),
      -moz-radial-gradient(circle at 0 50%, var(--on) 10%, #fff0 60%),
      -moz-linear-gradient(180deg, #fff, #afafaf);
    text-shadow:
      0 0 calc(var(--sz) / 10) var(--on), 0 0 calc(var(--sz) / 5) #fff,
      calc(var(--sz) / -8000) calc(var(--sz) / -150) calc(var(--sz) / 50) #0008,
      calc(var(--sz) / 150) calc(var(--sz) / 100) calc(var(--sz) / 50) #fff;
  }
}
@keyframes move-thumb {
  0%, 20%, 80%, 100% {
    left: calc(calc(var(--sz) / 10) + calc(var(--sz) / 15));
    color: #7d7c7c;
    background: linear-gradient(180deg, #fff, #afafaf);
    text-shadow:
      calc(var(--sz) / -8000) calc(var(--sz) / -150) calc(var(--sz) / 50) #0008,
      calc(var(--sz) / 150) calc(var(--sz) / 100) calc(var(--sz) / 50) #fff;
  }
  30%, 70% {
    left: calc(calc(100% - calc(calc(var(--sz) * 2) - calc(var(--sz) / 3))) - calc(calc(var(--sz) / 10) + calc(var(--sz) / 15)));
    color: var(--on);
    background:
      radial-gradient(circle at 7% 50%, #fff calc(var(--sz) / 50), #fff0 calc(var(--sz) / 2)),
      radial-gradient(circle at 0 50%, var(--on) 10%, #fff0 60%),
      linear-gradient(180deg, #fff, #afafaf);
    text-shadow:
      0 0 calc(var(--sz) / 10) var(--on), 0 0 calc(var(--sz) / 5) #fff,
      calc(var(--sz) / -8000) calc(var(--sz) / -150) calc(var(--sz) / 50) #0008,
      calc(var(--sz) / 150) calc(var(--sz) / 100) calc(var(--sz) / 50) #fff;
  }
}

@-webkit-keyframes move-color { /* Safari */
  0%, 20%, 80%, 100% { left: -50%; }
  30%, 70% { left: 0%; }
}
@-moz-keyframes move-color { /* Firefox */
  0%, 20%, 80%, 100% { left: -50%; }
  30%, 70% { left: 0%; }
}
@keyframes move-color {
  0%, 20%, 80%, 100% { left: -50%; }
  30%, 70% { left: 0%; }
}

@-webkit-keyframes move-shadow { /* Safari */
  0%, 20%, 80%, 100% {
    opacity: 0;
    width: -webkit-calc(100% - calc(calc(var(--sz) / 5) * 12));
  }
  30%, 70% {
    opacity: 1;
    width: -webkit-calc(100% - calc(calc(var(--sz) / 5) * 4));
  }
}
@-moz-keyframes move-shadow { /* Firefox */
  0%, 20%, 80%, 100% {
    opacity: 0;
    width: -moz-calc(100% - calc(calc(var(--sz) / 5) * 12));
  }
  30%, 70% {
    opacity: 1;
    width: -moz-calc(100% - calc(calc(var(--sz) / 5) * 4));
  }
}
@keyframes move-shadow {
  0%, 20%, 80%, 100% {
    opacity: 0;
    width: calc(100% - calc(calc(var(--sz) / 5) * 12));
  }
  30%, 70% {
    opacity: 1;
    width: calc(100% - calc(calc(var(--sz) / 5) * 4));
  }
}













.slider-container {
  margin-bottom: 25px;
  padding: 20px;
  border-radius: 10px;
  background-color: white;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

h2 {
  margin-top: 0;
  color: #8a8a8a;
}

.value-display {
  margin: 10px 0;
  font-size: 18px;
  color: #8a8a8a;
}

/* Base styles for all sliders */
input[type="range"] {
  width: 100%;
  margin: 30px 0;
}

/* ======= SLIDER 1: BASIC GRADIENT SLIDER ======= */
.slider-1 {
  -webkit-appearance: none;
  height: 8px;
  border-radius: 5px;
  background: linear-gradient(90deg, #6bf3f7, #2196F3, #4b9df4);
  outline: none;
}



.slider-1::-webkit-slider-thumb {
  -webkit-appearance: none;
  transform: rotate(45deg);
  padding: 10px;
  width: 55px;
  height: 55px;
  background-image: url("/images/cursoranim.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  position: relative;
  transition: transform 0.2s ease;
  transform: rotate(20deg) scale(calc(var(--thumb-scale, 1) * 0.7));
}



@keyframes ripple {
  0% {
    box-shadow: 0 0 0 0 rgba(70, 130, 180, 0.5);
  }

  100% {
    box-shadow: 0 0 0 20px rgba(70, 130, 180, 0);
  }
}